function handleMessage(event) {
    let pageHTMLContent = document.documentElement.outerHTML.toString();
    safari.extension.dispatchMessage("captureResponse", {
        "pageHTMLContent": pageHTMLContent,
        "url": document.location.href
    });
}
safari.self.addEventListener("message", handleMessage);

document.addEventListener("DOMContentLoaded", function(event) {
    if(!amnesiaFrame()) {
        let pageHTMLContent = document.documentElement.outerHTML.toString();
        safari.extension.dispatchMessage("visit", {
            "pageHTMLContent": pageHTMLContent,
            "url": document.location.href
        });
    }
});

function amnesiaFrame() {
    try {
        return window.self !== window.top;
    } catch (e) {
        return true;
    }
}
